Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Interface StackProducer

All Known Subinterfaces:
  ConstantPushInstruction, PushInstruction

All Known Implementing Classes:
  AALOAD, ACONST_NULL, ALOAD, ANEWARRAY, ArithmeticInstruction, ARRAYLENGTH, BALOAD, BIPUSH, CALOAD, CHECKCAST, ConversionInstruction, D2F, D2I, D2L, DADD, DALOAD, DCMPG, DCMPL, DCONST, DDIV, DLOAD, DMUL, DNEG, DREM, DSUB, DUP, DUP2, F2D, F2I, F2L, FADD, FALOAD, FCMPG, FCMPL, FCONST, FDIV, FLOAD, FMUL, FNEG, FREM, FSUB, GETFIELD, GETSTATIC, I2B, I2C, I2D, I2F, I2L, I2S, IADD, IALOAD, IAND, ICONST, IDIV, ILOAD, IMUL, INEG, INSTANCEOF, InvokeInstruction, INVOKEINTERFACE, INVOKESPECIAL, INVOKESTATIC, INVOKEVIRTUAL, IOR, IREM, ISHL, ISHR, ISUB, IUSHR, IXOR, JSR, JSR_W, JsrInstruction, L2D, L2F, L2I, LADD, LALOAD, LAND, LCMP, LCONST, LDC, LDC_W, LDC2_W, LDIV, LLOAD, LMUL, LNEG, LoadInstruction, LOOKUPSWITCH, LOR, LREM, LSHL, LSHR, LSUB, LUSHR, LXOR, NEW, NEWARRAY, SALOAD, Select, SIPUSH, SWAP, TABLESWITCH

    public interface StackProducer

Denote an instruction that may produce a value on top of the stack (this excludes DUP_X1, e.g.)

Version:
  $Id: StackProducer.java 386056 2006-03-15 11:31:56Z tcurdt $

Method Summary
`int` | `produceStack(ConstantPoolGen cpg)`

Method Detail

### produceStack

    int produceStack(ConstantPoolGen cpg)

  Returns:
    how many words are produced on stack

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.